Subject: bug#28630: 27.0.50; C-g while a non-main thread is sitting crashes Emacs

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Wed, 04 Oct 2017 16:49:22 +0900

>>>>> On Wed, 04 Oct 2017 10:39:05 +0300, Eli Zaretskii <[email-masked]> said:

>> I think the second thread calls setjmp and clobbers the values set
>> by the main thread, when the main thread called setjmp.

> That guess was correct.

> I hope I fixed this now, but please test this in a GUI session on X,
> as I couldn't test that configuration.  If there are still crashes,
> please post a backtrace.

My patch was a bit late :-)

I confirmed the original test case no longer crashes with your patch
on X11 (and also on my internal version of the Mac port for Emacs 26).
Thanks.

				     YAMAMOTO Mitsuharu
				[email-masked]